import * as $dara from '@darabonba/typescript';
import { DeleteVpnAttachmentResponseBody } from "./DeleteVpnAttachmentResponseBody";
export declare class DeleteVpnAttachmentResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteVpnAttachmentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
